// .btn
.btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;

  padding: 10px 15px;

  cursor: pointer;
  text-align: center;

  color: $white;
  border: none;
  border-radius: 10px;

  font-family: $OpenSans;
  font-size: 16px;

  @media (width <= 768PX) {
    width: 100%;
  }

  .safari & {
    @media (width <= 768PX) {
      display: block;
      text-align: center;
    }
  }

  .layer & {
    @media (width <= 768PX) {
      padding: 15px 20px;

      font-size: 20px;
    }
  }

  i {
    //margin-right: 20px;
  }

  &--mb {
    margin-bottom: 30px;
  }

  &--ml {
    margin-left: 30px;

    @media (width <= 768PX) {
      display: flex;

      width: 90%;
      margin: auto;
    }
  }

  &--width {
    max-width: 320px;
  }

  &--small {
    padding: 8px;

    font-size: 14px;

    .course__vacancy & {
      @media (width <= 768PX) {
        width: 50%;

        font-size: 30px;
      }
    }
  }

  // .btn--orange
  &--white {
    color: $blue;
    background-color: $white;
  }

  // .btn--orange
  &--orange {
    background-color: $orange;
    transition: background-color .3s ease-out;

    &:hover {
      background-color: darken($orange, 10%);
    }

    @media (width <= 768PX) {
      display: flex;

      width: 90%;
      max-width: 90%;
      margin: auto;
    }
  }

  // .btn--blue
  &--blue {
    background-color: $blue;
    transition: background-color .3s ease-out;

    &:hover {
      background-color: darken($blue, 10%);
    }
  }

  // .btn--darkblue
  &--darkblue {
    background-color: $darkBlue;
    transition: background-color .3s ease-out;

    &:hover {
      background-color: darken($darkBlue, 10%);
    }
  }

  // .btn--gray
  &--gray {
    background-color: $lightGray;
    transition: background-color .3s ease-out;

    &:hover {
      background-color: darken($lightGray, 10%);
    }
  }

  &--big {
    padding: 15px 20px;

    font-size: 18px;
  }

  &--bigger {
    font-size: 22px;
    padding: 20px 25px;
  }

  &__span {
    flex-grow: 1;

    padding: 0 10px;
  }
}

// .input
.input {
  display: flex;

  margin-right: 20px;
  padding: 15px 25px;

  text-align: left;

  color: $lightGray;
  border: none;
  border-radius: 10px;
  box-shadow: 0 0px 9.4px 0.6px rgba(0, 0, 0, 0.15);

  font-family: $OpenSans;
  font-size: 20px;
  line-height: 1.2;
}

.select-hidden {
  display: none !important;
}

.navigate__select {
  position: relative;
  display: none;
  display: none;
  justify-content: space-between;
  align-items: center;
  //display: none;
  min-width: 200px;
  padding: 10px 15px;

  cursor: pointer;
  text-align: center;
  text-align-last: center;

  color: $grayText;
  border: none;
  border-radius: 10px;
  background-color: rgba($white, 0.8);
  box-shadow: 0 0px 5.16px 0.84px rgba(0, 0, 0, 0.35);

  font-family: $OpenSans;
  font-size: 16px;

  .icon-before {
    position: relative;
    z-index: 1;
  }

  .icon-after {
    position: relative;
    z-index: 1;
    font-size: 10px;

    transition: 0.2s ease-in all;

    &--rotate {
      transform: rotate(180deg);
    }
  }

  .select {
    position: absolute 0 0 0 0;
    z-index: 2;

    display: block;

    width: 100%;
    height: 100%;

    &-styled {
      position: absolute 0 0 0 0;
      z-index: 2;

      display: block;

      width: 100%;
      height: 100%;
      padding: 10px 25px;
      line-height: 1.2;
    }
  }

  .select-options {
    position: absolute 100% 0 0 0;

    display: none;

    width: 100%;
    margin-top: 10px;

    text-align: center;

    border-radius: 10px;

    li {
      display: flex;
      align-items: center;
      justify-content: space-between;

      margin-bottom: 10px;
      padding: 0 25px;

      border-radius: 10px;
      background-color: rgba($white, 0.8);
      box-shadow: 0 0px 5.16px 0.84px rgba(0, 0, 0, 0.35);

      line-height: 2.1;

      &:last-child {
        margin-bottom: 0;
      }

      &:hover {
        color: $white;
        background-color: $blue;
      }

      span {
        flex-grow: 1;
      }
    }
  }
}

.choose_city {
  display: none;
}

.block {
  .choose_city {
    display: flex;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    position: fixed;
    top: 0;
    right: 0;
    background-image: url(../img/preloader.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    align-items: center;
    justify-content: center;

    z-index: 9999;

    .city_head {
      display: flex;
      justify-content: center;
      flex-direction: column;
      align-items: center;
      font-size: 20px;
    }
    .city_overlay {
      height: 100%;
      width: 100%;
      background: rgba(0, 0, 0, 0.62);

      display: flex;
      align-items: center;
      justify-content: center;
    }
    .cites_menu {
      position: relative;
      display: flex;
      justify-content: center;
      align-items: center;
      min-width: 20rem;
      padding: 1rem 1.5rem;
      cursor: pointer;
      text-align: center;
      text-align-last: center;
      color: #515151;
      border: none;
      border-radius: 1rem;
      background-color: rgba(255, 255, 255, .8);
      box-shadow: 0 0 0.516rem 0.84px rgba(0, 0, 0, .35);
      font-family: "Open Sans", sans-serif;
      font-size: 1.6rem;

      .select_city {
        display: none;
        position: absolute;
        top: 100%;
        margin-top: 10px;
        display: flex;
        flex-direction: column;
        width: 100%;
        right: 0;
        li {
          display: flex;
          align-items: center;
          justify-content: space-between;

          margin-bottom: 10px;
          padding: 0 25px;

          border-radius: 10px;
          background-color: rgba($white, 0.8);
          box-shadow: 0 0px 5.16px 0.84px rgba(0, 0, 0, 0.35);

          line-height: 2.1;

          &:last-child {
            margin-bottom: 0;
          }

          &:hover {
            color: $white;
            background-color: $blue;

            a {
              color: $white;

            }
          }

          span {
            flex-grow: 1;
            font-size: 18px;
          }

          a {
            font-family: "Open Sans", sans-serif;
            font-size: 1.6rem;
            padding: 12px 0;
            width: 100%;

          }
        }
      }
    }

  }
}

.city_head {
  display: flex;
  justify-content: space-between;

  align-items: center;
  font-size: 16px;

  width: 100%;
}

.cites_menu {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 20rem;
  padding: 1rem 1.5rem;
  cursor: pointer;
  text-align: center;
  text-align-last: center;
  color: #515151;
  border: none;
  border-radius: 1rem;
  background-color: rgba(255, 255, 255, .8);
  box-shadow: 0 0 0.516rem 0.84px rgba(0, 0, 0, .35);
  font-family: "Open Sans", sans-serif;
  font-size: 1.6rem;

  &:hover {
    .select_city {
      display: flex;
      flex-direction: column;
    }
  }
  .select_city {
    display: none;
    position: absolute;
    top: 100%;
    padding-top: 10px;
    flex-direction: column;
    width: 100%;
    right: 0;
    &:hover {

      display: flex;
      flex-direction: column;

    }

    li {
      display: flex;
      align-items: center;
      justify-content: space-between;

      margin-bottom: 10px;
      padding: 0 25px;

      border-radius: 10px;
      background-color: rgba($white, 0.8);
      box-shadow: 0 0px 5.16px 0.84px rgba(0, 0, 0, 0.35);

      line-height: 2.1;

      &:last-child {
        margin-bottom: 0;
      }

      &:hover {
        color: $white;
        background-color: $blue;

        a {
          color: $white;

        }
      }

      span {
        flex-grow: 1;
        font-size: 18px;
      }

      a {
        font-family: "Open Sans", sans-serif;
        font-size: 1.6rem;
        padding: 12px 0;
        width: 100%;

      }
    }
  }
}